ARCH        = OS
SHOBJ       = YES

include ../../include/makeinclude/Makefile.$(ARCH)

APPNAME     = "Get Servers Test"
CXXINCLUDES = -I./
SO_SRCS     = GetServers.cc
SO_LIBS     = -L$(CDEVLIB) -lcdevGenericServer $(NETLIBS)

# ******************************************************************************
# * The BINARIES definition names all of the binary files that should be deleted
# * whenever "make clean" is executed.
# ******************************************************************************
BINARIES    = $(BASEBIN)/GetServers

ifeq ($(SHOBJ), YES)
        LIBS    = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(OSLIBS)
	TARGETS = $(BASEBIN)/GetServers
else
        LIBS    = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(OSLIBS)
	TARGETS = $(BASEBIN)/GetServers
endif

targets : $(TARGETS)
		
$(BASEBIN)/GetServers : $(OBJDIR)/GetServers.o 
	$(LINK.cc) $^ -o $@ $(LIBS) 
	
